class Cube extends Polys {
/*

CUBE       (volume = 3)
====

Vertices        Edges

A  1 0 0 0      (A,F)(A,G)(A,H)
B  0 1 0 0      (B,E)(B,G)(B,H)
C  0 0 1 0      (C,E)(C,F)(C,H)
D  0 0 0 1      (D,E)(D,F)(D,G)
E  0 1 1 1
F  1 0 1 1
G  1 1 0 1
H  1 1 1 0

	Last change:  KU   18 Mar 1999    9:32 pm
*/
     Cube(){
       nbedges = 12;
       volume = 3;
       edgecolor = "Green";
       edgediam = (float)0.04;
       edges = new Edge[nbedges];
       edges[ 0] = new Edge(A,F);
       edges[ 1] = new Edge(A,G);
       edges[ 2] = new Edge(A,H);
       edges[ 3] = new Edge(B,E);
       edges[ 4] = new Edge(B,G);
       edges[ 5] = new Edge(B,H);
       edges[ 6] = new Edge(C,E);
       edges[ 7] = new Edge(C,F);
       edges[ 8] = new Edge(C,H);
       edges[ 9] = new Edge(D,E);
       edges[10] = new Edge(D,F);
       edges[11] = new Edge(D,G);
    }
}
