import java.io.*;

class Polys {

    Vertex A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z;
    Edge[] edges;
    double volume;
    int nbedges;
    String edgecolor;
    float edgediam;

    Polys(){
         A = new Vertex(new double[]{1,0,0,0});
         B = new Vertex(new double[]{0,1,0,0});
         C = new Vertex(new double[]{0,0,1,0});
         D = new Vertex(new double[]{0,0,0,1});

         E = A.inv();
         F = B.inv();
         G = C.inv();
         H = D.inv();

         I = A.add(B);
         J = A.add(C);
         K = A.add(D);
         L = B.add(C);
         M = B.add(D);
         N = C.add(D);

         O = I.add(J);
         P = I.add(K);
         Q = I.add(L);            
         R = I.add(M);
         S = N.add(J);
         T = N.add(K);
         U = N.add(L);
         V = N.add(M);
         W = J.add(L);
         X = L.add(M);
         Y = M.add(K);
         Z = K.add(J);
     }

     public void writexyz(){
         for (int i=0;i<nbedges;i++) edges[i].xyzout();
     }

     public void writepovray(PrintWriter output){
	for (int i=0;i<nbedges;i++){
	    edges[i].writeEdge(output,edgecolor,edgediam);
	}
     }

}

